Bug 585253 - range support & preferred_lft for IPv6 secondaries
range support & preferred_lft for IPv6 secondaries
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: initscripts (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Lukáš Nykrýn
: FutureFeature
Depends On:
Blocks: 960054
  Show dependency treegraph
Reported: 2010-04-23 10:40 EDT by Wouter de Jong
Modified: 2016-11-25 08:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-24 02:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wouter de Jong 2010-04-23 10:40:37 EDT
Description of problem:

Feature request.

For IPv4, we can specify ranges like :



Would be very useful to be able to do something similar for IPv6.

Since network-scripts/ifup-ipv6 and network-scripts/network-functions-ipv6 
are based on http://www.deepspace6.net/projects/initscripts-ipv6.html, 
this could probably be easily implemented based on (ipv6_add_addr_on_device_with_range_support) :

* http://cvs.deepspace6.net/view/*checkout*/initscripts-ipv6/common/etc/sysconfig/network-scripts/network-functions-ipv6

* http://cvs.deepspace6.net/view/*checkout*/initscripts-ipv6/common/etc/sysconfig/network-scripts/ifup-ipv6

Second feature request regarding IPv6 secondaries would be to be able to 
set the preferred_lft to something custom, eg :

ipv6_exec_ip addr change $ipv6addr dev $DEVICE preferred_lft 0

So you can prevent the addresses from being included in the source address selection algorithm. (Based on http://www.davidc.net/networking/ipv6-source-address-selection-linux, and it works ok)
Debian & Gentoo seem to support this via their config files.

Version-Release number of selected component (if applicable): initscripts-9.03.4-1.el6.i686
Comment 2 RHEL Product and Program Management 2010-04-23 12:45:33 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 3 Bill Nottingham 2010-04-23 14:29:17 EDT
There's a bug already on preferred_lft, actually.
Comment 4 Wouter de Jong 2010-04-26 04:36:20 EDT
Sorry, you're totally right.
I missed that one (Bug #583441).
Comment 5 RHEL Product and Program Management 2010-07-15 10:48:04 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Wouter de Jong 2010-07-16 14:09:55 EDT
If this is denied for 6.0, could this be considered for 6.1 then please ?
Comment 12 RHEL Product and Program Management 2012-05-03 00:40:49 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 14 Lukáš Nykrýn 2013-04-24 02:47:21 EDT
I am closing this as wontfix, this RFE is quite old and we don't have a patch for it (original links does not work anymore).
If somebody still wants this feature, please feel to reopen this bug.
Comment 15 Stefan Neufeind 2013-11-26 06:07:12 EST
We'd appreciate to get a way that at least IPv6-secondaries can be declared as "preferred_lft 0" (not to be used for automatic source-selection) in ifup-ipv6. See also #583441 filed against Fedora.

Note You need to log in before you can comment on or make changes to this bug.